# Salesforce

## Requirements

* A Service Account with Salesforce Admin (recommended)
* A Salesforce Admin
  * Salesforce relies on OAuth. If the user that enrolls Salesforce for DSR is deactivated, any future DSRs will fail.

### Integrating with Salesforce

To integrate Teleskope with Salesforce

1. Navigate to **Data Subject Rights** → **Third Party Integrations** and pick Salesforce
2. Enter the required fields for the integration and click **Save**.

### Enroll Salesforce for deletion or access requests

The following endpoints are available for deletion or access requests:

| Request Type | Endpoint Name                                                                                                                          | Endpoint Name in Teleskope |
| ------------ | -------------------------------------------------------------------------------------------------------------------------------------- | -------------------------- |
| Deletion     | [Account](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_account.htm)     | Account                    |
| Deletion     | [Contact](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_contact.htm)     | Contact                    |
| Deletion     | [Task](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_task.htm?q=task)    | Task                       |
| Deletion     | [Order](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_order.htm?q=order) | Order                      |
| Deletion     | [Case](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_case.htm?q=case)    | Case                       |

### Parameter Defaults <a href="#enroll-salesforce-for-deletion-or-access-requests" id="enroll-salesforce-for-deletion-or-access-requests"></a>

Teleskope’s Salesforce integration requires specific parameters to process Data Subject Requests (DSRs).

| Parameter Name   | Default Value | Notes                                           |
| ---------------- | ------------- | ----------------------------------------------- |
| **identifier**   | Email         | Required. Used to find records to delete.       |
| **endpointName** | *(Required)*  | Must specify which Salesforce object to delete. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teleskope.ai/the-platform/data-subject-rights/enroll-third-party-integrations/salesforce.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
